%define upstream_name    Tapper-CLI
%define upstream_version 4.1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Tapper-* command line tools
License:    BSD
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz
patch0:     Tapper-CLI-4.1.3-warnings.patch

BuildRequires: perl(App::Cmd)
BuildRequires: perl(App::Cmd::Command)
BuildRequires: perl(App::Rad)
BuildRequires: perl(Class::C3)
BuildRequires: perl(Compress::Bzip2)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl-Module-Pluggable
BuildRequires: perl(Moose)
BuildRequires: perl(Tapper::Cmd::Cobbler)
BuildRequires: perl(Tapper::Cmd::DbDeploy)
BuildRequires: perl(Tapper::Cmd::Init)
BuildRequires: perl(Tapper::Cmd::Notification)
BuildRequires: perl(Tapper::Cmd::Precondition)
BuildRequires: perl(Tapper::Cmd::Queue)
BuildRequires: perl(Tapper::Cmd::Requested)
BuildRequires: perl(Tapper::Cmd::Scenario)
BuildRequires: perl(Tapper::Cmd::Testplan)
BuildRequires: perl(Tapper::Cmd::Testrun)
BuildRequires: perl(Tapper::Cmd::User)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::Model)
BuildRequires: perl(Tapper::Schema)
BuildRequires: perl(Tapper::Schema::ReportsDB)
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Tapper::Schema::TestrunDB)
BuildRequires: perl(Tapper::Testplan::Generator)
BuildRequires: perl(Tapper::Testplan::Reporter)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(UNIVERSAL)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Command line tools for Tapper.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tapper
/usr/bin/tapper-api
/usr/bin/tapper-db-deploy
/usr/bin/tapper-testrun
/usr/share/man/man1/tapper-api.1.xz
/usr/share/man/man1/tapper-db-deploy.1.xz
/usr/share/man/man1/tapper-testrun.1.xz
/usr/share/man/man1/tapper.1.xz


%changelog
* Mon Dec 30 2013 pterjan <pterjan> 4.1.3-4.mga4
+ Revision: 563363
- Force Module::Pluggable::Object to be installed from perl-Module-Pluggable
- Add a missing BuildRequires
- Silence warnings about given as they break tests

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + shlomif <shlomif>
    - New version 4.1.3

* Sat Oct 27 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310865
- Correct the license
- Fix summary ending with dot
- Mising BuildRequires
- Desc + Summary
- imported package perl-Tapper-CLI


* Sat Oct 27 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
